summaryrefslogtreecommitdiff
path: root/dev-python/node-semver/node-semver-0.7.0.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/node-semver/node-semver-0.7.0.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/node-semver/node-semver-0.7.0.ebuild')
-rw-r--r--dev-python/node-semver/node-semver-0.7.0.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/node-semver/node-semver-0.7.0.ebuild b/dev-python/node-semver/node-semver-0.7.0.ebuild
new file mode 100644
index 000000000000..f1eabb0d93a5
--- /dev/null
+++ b/dev-python/node-semver/node-semver-0.7.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python version of node-semver, the semantic versioner for npm"
+HOMEPAGE="
+ https://pypi.org/project/node-semver/
+ https://github.com/podhmo/python-semver
+ https://github.com/npm/node-semver
+"
+# Tests are currently missing from PyPI tarballs
+# https://github.com/podhmo/python-semver/pull/31
+SRC_URI="https://github.com/podhmo/python-semver/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+S="${WORKDIR}/python-semver-${PV}"
+
+python_test() {
+ # Ignore 2 tests that fail with Python 2
+ # https://github.com/podhmo/python-semver/issues/30
+ pytest -vv --ignore semver/tests/test_passing_bytes.py \
+ || die "tests failed with ${EPYTHON}"
+}